import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiVinsNatRuleListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.NATRuleAPIResultNM]
    entry_count: int


class CloudapiVinsNatRuleListProtocol(_base.BasePostAPIFunctionProtocol):
    def nat_rule_list(
        self,
        *,
        vins_id: int,
    ) -> CloudapiVinsNatRuleListResultModel:
        ...
